
-- Bedrock
core.register_node("vox_main:bedrock", {
    description = "Bedrock",
    tiles = {"vox_bedrock.png"},
    groups = {cracky = 1}
})
core.register_alias("bedrock", "vox_main:bedrock")
core.register_alias("default:bedrock", "vox_main:bedrock")

-- Dirt
core.register_node("vox_main:dirt", {
    description = "Dirt",
    tiles = {"vox_dirt.png"},
    groups = {crumbly = 3}
})
core.register_alias("dirt", "vox_main:dirt")
core.register_alias("default:dirt", "vox_main:dirt")

-- Grass
core.register_node("vox_main:grass_block", {
    description = "Grass Block",
    tiles = {"vox_grass_block.png"},
    groups = {cracky = 3}
})
core.register_alias("grass_block", "vox_main:grass_block")
core.register_alias("default:dirt_with_grass_block" , "vox_main:grass_block")

-- Snow
core.register_node("vox_main:snow", {
    description = "Snow",
    tiles = {"vox_snow.png"},
    groups = {crumbly = 3}
})
core.register_alias("snow", "vox_main:snow")
core.register_alias("default:snow", "vox_main:snow")

-- Packed Snow
core.register_node("vox_main:packed_snow", {
    description = "Packed Snow",
    tiles = {"vox_packed_snow.png"},
    groups = {crumbly = 2}
})
core.register_alias("packed_snow", "vox_main:packed_snow")

-- Ice
core.register_node("vox_main:ice", {
    description = "Ice",
    tiles = {"vox_ice.png"},
    groups = {crumbly = 3}
})
core.register_alias("ice", "vox_main:ice")
core.register_alias("default:ice", "vox_main:ice")

-- Dirt With Snow
core.register_node("vox_main:dirt_with_snow", {
    description = "Dirt With Snow",
    tiles = {"vox_dirt_with_snow.png"},
    groups = {crumbly = 3}
})
core.register_alias("dirt_with_snow", "vox_main:dirt_with_snow")

-- Permafrost
core.register_node("vox_main:permafrost", {
    description = "Permafrost",
    tiles = {"vox_permafrost.png"},
    groups = {crumbly = 3}
})
core.register_alias("permafrost", "vox_main:permafrost")

-- Bluestone
core.register_node("vox_main:bluestone", {
    description = "Bluestone",
    tiles = {"vox_bluestone.png"},
    groups = {cracky = 2}
})
core.register_alias("bluestone", "vox_main:bluestone")

-- Stone
core.register_node("vox_main:stone", {
    description = "Stone",
    tiles = {"vox_stone.png"},
    groups = {cracky = 2}
})
core.register_alias("stone", "vox_main:stone")
core.register_alias("mapgen_stone", "vox_main:stone")
-- core.register_alias("default:stone", "vox_main:stone")

-- Cobblestone
core.register_node("vox_main:cobblestone", {
    description = "Cobblestone",
    tiles = {"vox_cobblestone.png"},
    groups = {cracky = 2}
})
core.register_alias("cobblestone", "vox_main:cobblestone")
core.register_alias("default:cobble", "vox_main:cobblestone")

-- Mossy Cobblestone
core.register_node("vox_main:mossycobble", {
    description = "Mossy Cobblestone",
    tiles = {"vox_mossycobble.png"},
    groups = {cracky = 2}
})
core.register_alias("mossycobble", "vox_main:mossycobble")
core.register_alias("default:mossycobble", "vox_main:mossycobble")

-- Sand
-- (I don't like sand. It's coarse and rough and irritating and it gets everywhere.)
core.register_node("vox_main:sand", {
    description = "Sand",
    tiles = {"vox_sand.png"},
    groups = {crumbly = 3}
})
core.register_alias("sand", "vox_main:sand")
core.register_alias("default:sand", "vox_main:sand")

-- Sulfur Crust
core.register_node("vox_main:sulfur_crust", {
    description = "Sulfur Crust",
    tiles = {"vox_sulfur_crust.png"},
    groups = {crumbly = 3}
})
core.register_alias("sulfur_crust", "vox_main:sulfur_crust")

-- Ash
minetest.register_node("vox_main:ash_block", {
    description = "Ash Block",
    tiles = {"vox_ash_block.png"},
    groups = {crumbly = 3},
    drop = "vox_mats:ash", -- Drops ash when broken
})

-- Gravel
core.register_node("vox_main:gravel", {
    description = "Gravel",
    tiles = {"vox_gravel.png"},
    groups = {crumbly = 2}
})
core.register_alias("gravel", "vox_main:gravel")
core.register_alias("default:gravel", "vox_main:gravel")

-- Sandstone
core.register_node("vox_main:sandstone", {
    description = "Sandstone",
    tiles = {"vox_sandstone.png"},
    groups = {cracky = 2}
})
core.register_alias("sandstone", "vox_main:sandstone")
core.register_alias("default:sandstone", "vox_main:sandstone")

-- Clay
core.register_node("vox_main:clay", {
    description = "Clay",
    tiles = {"vox_clay.png"},
    groups = {crumbly = 3}
})
core.register_alias("clay", "vox_main:clay")
core.register_alias("default:clay", "vox_main:clay")

-- Hardened Clay
core.register_node("vox_main:hardened_clay", {
    description = "Hardened Clay",
    tiles = {"vox_hardened_clay.png"},
    groups = {cracky = 2}
})
core.register_alias("hardened_clay", "vox_main:hardened_clay")
core.register_alias("default:hardened_clay", "vox_main:hardened_clay")

-- Mud
core.register_node("vox_main:mud", {
    description = "Mud",
    tiles = {"vox_mud.png"},
    groups = {crumbly = 3}
})
core.register_alias("mud", "vox_main:mud")

-- Salt Crystal
core.register_node("vox_main:salt_crystal", {
    description = "Salt Crystal",
    tiles = {"vox_salt_crystal.png"},
    groups = {cracky = 2}
})
core.register_alias("salt_crystal", "vox_main:salt_crystal")

-- Volcanic Rock
core.register_node("vox_main:volcanic_rock", {
    description = "Volcanic Rock",
    tiles = {"vox_volcanic_rock.png"},
    groups = {cracky = 3}
})
core.register_alias("volcanic_rock", "vox_main:volcanic_rock")

-- EVEN MORE ROCKS!!!

-- Granite
core.register_node("vox_main:granite", {
    description = "Granite",
    tiles = {"vox_granite.png"},
    groups = {cracky = 2}
})
core.register_alias("granite", "vox_main:granite")
core.register_alias("default:granite", "vox_main:granite")

-- Diorite
core.register_node("vox_main:diorite", {
    description = "Diorite",
    tiles = {"vox_diorite.png"},
    groups = {cracky = 2}
})
core.register_alias("diorite", "vox_main:diorite")
core.register_alias("default:diorite", "vox_main:diorite")

-- Andesite
core.register_node("vox_main:andesite", {
    description = "Andesite",
    tiles = {"vox_andesite.png"},
    groups = {cracky = 2}
})
core.register_alias("andesite", "vox_main:andesite")
core.register_alias("default:andesite", "vox_main:andesite")

-- Basalt
core.register_node("vox_main:basalt", {
    description = "Basalt",
    tiles = {"vox_basalt.png"},
    groups = {cracky = 2}
})
core.register_alias("basalt", "vox_main:basalt")
core.register_alias("default:basalt", "vox_main:basalt")

-- Obsidian
core.register_node("vox_main:obsidian", {
    description = "Obsidian",
    tiles = {"vox_obsidian.png"},
    groups = {cracky = 2}
})
core.register_alias("obsidian", "vox_main:obsidian")
core.register_alias("default:obsidian", "vox_main:obsidian")

-- Marble
core.register_node("vox_main:marble", {
    description = "Marble",
    tiles = {"vox_marble.png"},
    groups = {cracky = 2}
})
core.register_alias("marble", "vox_main:marble")
core.register_alias("default:marble", "vox_main:marble")

-- Chalk
core.register_node("vox_main:chalk", {
    description = "Chalk",
    tiles = {"vox_chalk.png"},
    groups = {cracky = 2}
})
core.register_alias("chalk", "vox_main:chalk")
core.register_alias("default:chalk", "vox_main:chalk")

-- Limestone
core.register_node("vox_main:limestone", {
    description = "Limestone",
    tiles = {"vox_limestone.png"},
    groups = {cracky = 2}
})
core.register_alias("limestone", "vox_main:limestone")
core.register_alias("default:limestone", "vox_main:limestone")